diff --git a/common/src/test/scala/game/ReplicationStreamMessageTest.scala b/common/src/test/scala/game/ReplicationStreamMessageTest.scala
index d878b937..2d39a2a6 100644
--- a/common/src/test/scala/game/ReplicationStreamMessageTest.scala
+++ b/common/src/test/scala/game/ReplicationStreamMessageTest.scala
@@ -484,8 +413,7 @@ class ReplicationStreamMessageTest extends Specification {
   "encode (update continent)" in {
     val msg = ReplicationStreamMessage(6, None,
       Vector(
-        SquadListing(3, Some(SquadHeader(128, true, Some(1), SquadInfo(PlanetSideZoneID(10))))),
-        SquadListing(255)
+        SquadListing(3, SquadInfo(PlanetSideZoneID(10)))
       )
     )
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
@@ -496,8 +424,7 @@ class ReplicationStreamMessageTest extends Specification {
   "encode (update size)" in {
     val msg = ReplicationStreamMessage(6, None,
       Vector(
-        SquadListing(1, Some(SquadHeader(128, true, Some(2), SquadInfo(6, None)))),
-        SquadListing(255)
+        SquadListing(1, SquadInfo(6))
       )
     )
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
@@ -508,8 +435,7 @@ class ReplicationStreamMessageTest extends Specification {
   "encode (update leader and size)" in {
     val msg = ReplicationStreamMessage(6, None,
       Vector(
-        SquadListing(5, Some(SquadHeader(129, false, Some(0), SquadInfo("Jimmyn", 3)))),
-        SquadListing(255)
+        SquadListing(5, SquadInfo("Jimmyn").And(SquadInfo(3)))
       )
     )
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
@@ -520,8 +446,7 @@ class ReplicationStreamMessageTest extends Specification {
   "encode (update task and continent)" in {
     val msg = ReplicationStreamMessage(6, None,
       Vector(
-        SquadListing(5, Some(SquadHeader(129, false, Some(1), SquadInfo("2", PlanetSideZoneID(4))))),
-        SquadListing(255)
+        SquadListing(5, SquadInfo(None, "2").And(SquadInfo(PlanetSideZoneID(4))))
       )
     )
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
@@ -532,8 +457,7 @@ class ReplicationStreamMessageTest extends Specification {
   "encode (update all)" in {
     val msg = ReplicationStreamMessage(6, None,
       Vector(
-        SquadListing(7, Some(SquadHeader(131, false, None, SquadInfo("madmuj", "", PlanetSideZoneID(4), 0, 10, PlanetSideGUID(11))))),
-        SquadListing(255)
+        SquadListing(7, SquadInfo("madmuj", "", PlanetSideZoneID(4), 0, 10, PlanetSideGUID(11)))
       )
     )
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
@@ -541,116 +465,15 @@ class ReplicationStreamMessageTest extends Specification {
     pkt mustEqual stringUpdateAll
   }
 
-  "encode (fails)" in {
-    //encode codec fail
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(1, None,
-        Vector(
-          SquadListing(5, Some(SquadHeader(0, false, Some(4)))),
-          SquadListing(255)
-        )
+  "encode (remove 1 and update 0)" in {
+    val msg = ReplicationStreamMessage(1, None,
+      Vector(
+        SquadListing(1, None),
+        SquadListing(0, SquadInfo(10))
       )
-    ).isFailure mustEqual true
+    )
+    val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
-    //encode one
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(5, Some(6),
-        Vector(
-          SquadListing(0, Some(SquadHeader(131, false, None, Some(SquadInfo(Some("FragLANdINC"), Some("Frag"), None, Some(0),Some(10), Some(PlanetSideGUID(1))))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode two
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(5, Some(6),
-        Vector(
-          SquadListing(0, Some(SquadHeader(131, false, None, SquadInfo("GeneralGorgutz", "FLY,All welcome,cn last night!!!!", PlanetSideZoneID(4), 7, 10, PlanetSideGUID(6))))),
-          SquadListing(1, Some(SquadHeader(131, false, None, Some(SquadInfo(Some("KOKkiasMFCN"), Some("Squad 2"), None, Some(6), Some(10), Some(PlanetSideGUID(4))))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode leader
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(2, Some(SquadHeader(128, true, Some(0), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode task
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(5, Some(SquadHeader(128, true, Some(1), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode continent
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(3, Some(SquadHeader(128, true, Some(1), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode task or continent
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(3, Some(SquadHeader(128, true, Some(1), Some(SquadInfo(None, Some(""), Some(PlanetSideZoneID(10)), None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode size
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(1, Some(SquadHeader(128, true, Some(2), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode leader and size
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(5, Some(SquadHeader(129, false, Some(0), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode task and continent
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(5, Some(SquadHeader(129, false, Some(1), Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
-
-    //encode all
-    PacketCoding.EncodePacket(
-      ReplicationStreamMessage(6, None,
-        Vector(
-          SquadListing(7, Some(SquadHeader(131, false, None, Some(SquadInfo(None, None, None, None, None, None))))),
-          SquadListing(255)
-        )
-      )
-    ).isFailure mustEqual true
+    pkt mustEqual stringRemoveUpdate
   }
 }
diff --git a/pslogin/src/main/scala/WorldSessionActor.scala b/pslogin/src/main/scala/WorldSessionActor.scala
index 8c3424ce..c33ba93a 100644
--- a/pslogin/src/main/scala/WorldSessionActor.scala
+++ b/pslogin/src/main/scala/WorldSessionActor.scala
@@ -798,7 +798,7 @@ class WorldSessionActor extends Actor with MDCContextAware {
       traveler = new Traveler(self, continent.Id)
       //PropertyOverrideMessage
       sendResponse(PlanetsideAttributeMessage(PlanetSideGUID(0), 112, 0)) // disable festive backpacks
-      sendResponse(ReplicationStreamMessage(5, Some(6), Vector(SquadListing()))) //clear squad list
+      sendResponse(ReplicationStreamMessage(5, Some(6), Vector.empty)) //clear squad list
       sendResponse(FriendsResponse(FriendAction.InitializeFriendList, 0, true, true, Nil))
       sendResponse(FriendsResponse(FriendAction.InitializeIgnoreList, 0, true, true, Nil))
       avatarService ! Service.Join(avatar.name) //channel will be player.Name
@@ -3003,7 +3003,7 @@ class WorldSessionActor extends Actor with MDCContextAware {
       sendResponse(TimeOfDayMessage(1191182336))
       //custom
       sendResponse(ContinentalLockUpdateMessage(13, PlanetSideEmpire.VS)) // "The VS have captured the VS Sanctuary."
-      sendResponse(ReplicationStreamMessage(5, Some(6), Vector(SquadListing()))) //clear squad list
+      sendResponse(ReplicationStreamMessage(5, Some(6), Vector.empty)) //clear squad list
       sendResponse(PlanetsideAttributeMessage(PlanetSideGUID(0), 112, 0)) // disable festive backpacks
       //(0 to 255).foreach(i => { sendResponse(SetEmpireMessage(PlanetSideGUID(i), PlanetSideEmpire.VS)) })
 

